<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Image Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classImage-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Image Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>this class represents an image  
 <a href="classImage.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Image_8h_source.html">Image.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a58edd1c45b4faeb5f789b0d036d02313"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a58edd1c45b4faeb5f789b0d036d02313">Image</a> ()</td></tr>
<tr class="memdesc:a58edd1c45b4faeb5f789b0d036d02313"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructer of the class image  <br /></td></tr>
<tr class="separator:a58edd1c45b4faeb5f789b0d036d02313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a781829417e05ac62d5c1ea090a8844d1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a781829417e05ac62d5c1ea090a8844d1">Image</a> (unsigned int dimensionX, unsigned int dimensionY)</td></tr>
<tr class="memdesc:a781829417e05ac62d5c1ea090a8844d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructer of the class image with specified dimensions  <br /></td></tr>
<tr class="separator:a781829417e05ac62d5c1ea090a8844d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0294f63700543e11c0f0da85601c7ae5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a0294f63700543e11c0f0da85601c7ae5">~Image</a> ()</td></tr>
<tr class="memdesc:a0294f63700543e11c0f0da85601c7ae5"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructer of the class image  <br /></td></tr>
<tr class="separator:a0294f63700543e11c0f0da85601c7ae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afba7efeb769e23a9affa315f451f15f0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#afba7efeb769e23a9affa315f451f15f0">isValid</a> (int x, int y) const</td></tr>
<tr class="memdesc:afba7efeb769e23a9affa315f451f15f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">checks if the given coordinates are valid within the image  <br /></td></tr>
<tr class="separator:afba7efeb769e23a9affa315f451f15f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77a8d8824141ed8b9db62154a211536d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structPixel.html">Pixel</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a77a8d8824141ed8b9db62154a211536d">getPix</a> (int x, int y)</td></tr>
<tr class="memdesc:a77a8d8824141ed8b9db62154a211536d"><td class="mdescLeft">&#160;</td><td class="mdescRight">fetches the original pixel at the given coordinates (after validation of the coordinates)  <br /></td></tr>
<tr class="separator:a77a8d8824141ed8b9db62154a211536d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99be5d70422354999a5f63da4cb85838"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structPixel.html">Pixel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a99be5d70422354999a5f63da4cb85838">getPix</a> (int x, int y) const</td></tr>
<tr class="memdesc:a99be5d70422354999a5f63da4cb85838"><td class="mdescLeft">&#160;</td><td class="mdescRight">fetches the original pixel at the given coordinates (after validation of the coordinates) (const version)  <br /></td></tr>
<tr class="separator:a99be5d70422354999a5f63da4cb85838"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7c99d0b4b817fc3bd7840e0428d2f78"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#af7c99d0b4b817fc3bd7840e0428d2f78">setPix</a> (int x, int y, <a class="el" href="structPixel.html">Pixel</a> couleur)</td></tr>
<tr class="memdesc:af7c99d0b4b817fc3bd7840e0428d2f78"><td class="mdescLeft">&#160;</td><td class="mdescRight">changes the pixel at the given coordinates (after validation) with the given pixel  <br /></td></tr>
<tr class="separator:af7c99d0b4b817fc3bd7840e0428d2f78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a288917aec4c55beaae0a772ca9f76a53"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a288917aec4c55beaae0a772ca9f76a53">dessinerRectangle</a> (int Xmin, int Ymin, int Xmax, int Ymax, <a class="el" href="structPixel.html">Pixel</a> couleur)</td></tr>
<tr class="memdesc:a288917aec4c55beaae0a772ca9f76a53"><td class="mdescLeft">&#160;</td><td class="mdescRight">draws a rectangle filled with the given pixel in the <a class="el" href="classImage.html" title="this class represents an image">Image</a> within the right coordinates  <br /></td></tr>
<tr class="separator:a288917aec4c55beaae0a772ca9f76a53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad159951e9564d29f28112ece322c0a97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#ad159951e9564d29f28112ece322c0a97">effacer</a> (<a class="el" href="structPixel.html">Pixel</a> couleur)</td></tr>
<tr class="memdesc:ad159951e9564d29f28112ece322c0a97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the image by filling it with the specified color.  <br /></td></tr>
<tr class="separator:ad159951e9564d29f28112ece322c0a97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af870cb0c00a370927e6957f99a409586"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#af870cb0c00a370927e6957f99a409586">sauver</a> (const string &amp;filename) const</td></tr>
<tr class="memdesc:af870cb0c00a370927e6957f99a409586"><td class="mdescLeft">&#160;</td><td class="mdescRight">saves the image to a file  <br /></td></tr>
<tr class="separator:af870cb0c00a370927e6957f99a409586"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a504778b71d66c4da931cad497e2ec249"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a504778b71d66c4da931cad497e2ec249">ouvrir</a> (const string &amp;filename)</td></tr>
<tr class="memdesc:a504778b71d66c4da931cad497e2ec249"><td class="mdescLeft">&#160;</td><td class="mdescRight">opens an image from a file and replace the current image with the loaded one from the file  <br /></td></tr>
<tr class="separator:a504778b71d66c4da931cad497e2ec249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3cc6f7401625c11dcd5ef003f37e4fa"><td class="memItemLeft" align="right" valign="top"><a id="aa3cc6f7401625c11dcd5ef003f37e4fa" name="aa3cc6f7401625c11dcd5ef003f37e4fa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>afficherConsole</b> ()</td></tr>
<tr class="memdesc:aa3cc6f7401625c11dcd5ef003f37e4fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the pixel values on the console. <br /></td></tr>
<tr class="separator:aa3cc6f7401625c11dcd5ef003f37e4fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eb08fc4d14fa9933aa2fd64380eca98"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a5eb08fc4d14fa9933aa2fd64380eca98">getDimX</a> () const</td></tr>
<tr class="memdesc:a5eb08fc4d14fa9933aa2fd64380eca98"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obtient la largeur de l'image.  <br /></td></tr>
<tr class="separator:a5eb08fc4d14fa9933aa2fd64380eca98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c46d1bf18fa88b97a6876054f74b795"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a9c46d1bf18fa88b97a6876054f74b795">getDimY</a> () const</td></tr>
<tr class="memdesc:a9c46d1bf18fa88b97a6876054f74b795"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obtient la hauteur de l'image.  <br /></td></tr>
<tr class="separator:a9c46d1bf18fa88b97a6876054f74b795"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07780f5b37697f1b69a00c843b542dd9"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structPixel.html">Pixel</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classImage.html#a07780f5b37697f1b69a00c843b542dd9">getTab</a> () const</td></tr>
<tr class="memdesc:a07780f5b37697f1b69a00c843b542dd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obtient une référence constante vers le tableau de pixels.  <br /></td></tr>
<tr class="separator:a07780f5b37697f1b69a00c843b542dd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a82ffef6c89927b0cc755a3fe2fec637b"><td class="memItemLeft" align="right" valign="top"><a id="a82ffef6c89927b0cc755a3fe2fec637b" name="a82ffef6c89927b0cc755a3fe2fec637b"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>testRegression</b> ()</td></tr>
<tr class="memdesc:a82ffef6c89927b0cc755a3fe2fec637b"><td class="mdescLeft">&#160;</td><td class="mdescRight">static method to perform regression testing for the image class <br /></td></tr>
<tr class="separator:a82ffef6c89927b0cc755a3fe2fec637b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>this class represents an image </p>
<p>The <a class="el" href="classImage.html" title="this class represents an image">Image</a> class contains functionalities for managing images. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a58edd1c45b4faeb5f789b0d036d02313" name="a58edd1c45b4faeb5f789b0d036d02313"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58edd1c45b4faeb5f789b0d036d02313">&#9670;&#160;</a></span>Image() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Image::Image </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructer of the class image </p>
<p>initializes dimx and dimy to 0 and allocates no memory for the pixel array. </p>

</div>
</div>
<a id="a781829417e05ac62d5c1ea090a8844d1" name="a781829417e05ac62d5c1ea090a8844d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a781829417e05ac62d5c1ea090a8844d1">&#9670;&#160;</a></span>Image() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Image::Image </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>dimensionX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>dimensionY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructer of the class image with specified dimensions </p>
<p>initializes dimx and dimy after validation and allocate memory for the pixel array with a black picture</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dimensionX</td><td>The width of the image. </td></tr>
    <tr><td class="paramname">dimensionY</td><td>the height of the image </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0294f63700543e11c0f0da85601c7ae5" name="a0294f63700543e11c0f0da85601c7ae5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0294f63700543e11c0f0da85601c7ae5">&#9670;&#160;</a></span>~Image()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Image::~Image </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructer of the class image </p>
<p>Deallocates the pixel array and updates dimx and dimy to 0 </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a288917aec4c55beaae0a772ca9f76a53" name="a288917aec4c55beaae0a772ca9f76a53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a288917aec4c55beaae0a772ca9f76a53">&#9670;&#160;</a></span>dessinerRectangle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Image::dessinerRectangle </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>Xmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>Ymin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>Xmax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>Ymax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structPixel.html">Pixel</a>&#160;</td>
          <td class="paramname"><em>couleur</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>draws a rectangle filled with the given pixel in the <a class="el" href="classImage.html" title="this class represents an image">Image</a> within the right coordinates </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Xmin</td><td>The minimum x-coordinate of the rectangle. </td></tr>
    <tr><td class="paramname">Ymin</td><td>The minimum y-coordinate of the rectangle. </td></tr>
    <tr><td class="paramname">Xmax</td><td>The maximum x-coordinate of the rectangle. </td></tr>
    <tr><td class="paramname">Ymax</td><td>The maximum y-coordinate of the rectangle. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad159951e9564d29f28112ece322c0a97" name="ad159951e9564d29f28112ece322c0a97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad159951e9564d29f28112ece322c0a97">&#9670;&#160;</a></span>effacer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Image::effacer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structPixel.html">Pixel</a>&#160;</td>
          <td class="paramname"><em>couleur</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clears the image by filling it with the specified color. </p>
<p>calls dessinerRectangle with appropriate rectangle coordinates</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">couleur</td><td>the color to fill the image with </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5eb08fc4d14fa9933aa2fd64380eca98" name="a5eb08fc4d14fa9933aa2fd64380eca98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eb08fc4d14fa9933aa2fd64380eca98">&#9670;&#160;</a></span>getDimX()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Image::getDimX </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Obtient la largeur de l'image. </p>
<dl class="section return"><dt>Returns</dt><dd>La largeur de l'image. </dd></dl>

</div>
</div>
<a id="a9c46d1bf18fa88b97a6876054f74b795" name="a9c46d1bf18fa88b97a6876054f74b795"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c46d1bf18fa88b97a6876054f74b795">&#9670;&#160;</a></span>getDimY()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Image::getDimY </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Obtient la hauteur de l'image. </p>
<dl class="section return"><dt>Returns</dt><dd>La hauteur de l'image. </dd></dl>

</div>
</div>
<a id="a77a8d8824141ed8b9db62154a211536d" name="a77a8d8824141ed8b9db62154a211536d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77a8d8824141ed8b9db62154a211536d">&#9670;&#160;</a></span>getPix() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structPixel.html">Pixel</a> &amp; Image::getPix </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>fetches the original pixel at the given coordinates (after validation of the coordinates) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>the x coordinate </td></tr>
    <tr><td class="paramname">y</td><td>the y coordinate</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>reference to the original pixel at the coordinates (x,y) </dd></dl>

</div>
</div>
<a id="a99be5d70422354999a5f63da4cb85838" name="a99be5d70422354999a5f63da4cb85838"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99be5d70422354999a5f63da4cb85838">&#9670;&#160;</a></span>getPix() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structPixel.html">Pixel</a> Image::getPix </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>fetches the original pixel at the given coordinates (after validation of the coordinates) (const version) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>the x coordinate </td></tr>
    <tr><td class="paramname">y</td><td>the y coordinate</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>to the original pixel at the coordinates (x,y) </dd></dl>

</div>
</div>
<a id="a07780f5b37697f1b69a00c843b542dd9" name="a07780f5b37697f1b69a00c843b542dd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07780f5b37697f1b69a00c843b542dd9">&#9670;&#160;</a></span>getTab()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structPixel.html">Pixel</a> * Image::getTab </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Obtient une référence constante vers le tableau de pixels. </p>
<dl class="section return"><dt>Returns</dt><dd>Une référence constante vers le tableau de pixels. </dd></dl>

</div>
</div>
<a id="afba7efeb769e23a9affa315f451f15f0" name="afba7efeb769e23a9affa315f451f15f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afba7efeb769e23a9affa315f451f15f0">&#9670;&#160;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Image::isValid </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>checks if the given coordinates are valid within the image </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>the x coordinate </td></tr>
    <tr><td class="paramname">y</td><td>the y coordinate</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the coordinates are valide, false otherwise </dd></dl>

</div>
</div>
<a id="a504778b71d66c4da931cad497e2ec249" name="a504778b71d66c4da931cad497e2ec249"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a504778b71d66c4da931cad497e2ec249">&#9670;&#160;</a></span>ouvrir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Image::ouvrir </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>opens an image from a file and replace the current image with the loaded one from the file </p>
<p>Opens the specified file, reads the image data, allocates memory for the pixel array, stores pixel values, closes the file, and prints a confirmation message.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>the name of the file to open the image from </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af870cb0c00a370927e6957f99a409586" name="af870cb0c00a370927e6957f99a409586"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af870cb0c00a370927e6957f99a409586">&#9670;&#160;</a></span>sauver()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Image::sauver </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>saves the image to a file </p>
<p>saves the image in the specified file</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>the name of the file to save the image to </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af7c99d0b4b817fc3bd7840e0428d2f78" name="af7c99d0b4b817fc3bd7840e0428d2f78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7c99d0b4b817fc3bd7840e0428d2f78">&#9670;&#160;</a></span>setPix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Image::setPix </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structPixel.html">Pixel</a>&#160;</td>
          <td class="paramname"><em>couleur</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>changes the pixel at the given coordinates (after validation) with the given pixel </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>the x coordinate </td></tr>
    <tr><td class="paramname">y</td><td>the y coordinate </td></tr>
    <tr><td class="paramname">couleur</td><td>the pixel used to change the old one </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="Image_8h_source.html">Image.h</a></li>
<li>src/Image.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6
</small></address>
</body>
</html>
